package com.ejie.ab39a.model;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.x38.util.Constants;

/**
 * TiposIdentif.
 * 
 *  
 */

public class TiposIdentif implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Long codigo;
	private String descas;
	private String deseus;

	/**
	 * Method 'TiposIdentif'.
	 */
	public TiposIdentif() {
		super();
	}

	/**
	 * Method 'TiposIdentif'.
	 * 
	 * @param codigo
	 *            Long codigo
	 */
	public TiposIdentif(Long codigo) {
		super();
		this.codigo = codigo;
	}

	/**
	 * Method 'TiposIdentif'.
	 * 
	 * @param codigo
	 *            Long codigo
	 * @param descas
	 *            String descas
	 * @param deseus
	 *            String deseus
	 */
	public TiposIdentif(Long codigo, String descas, String deseus) {
		super();

		this.codigo = codigo;
		this.descas = descas;
		this.deseus = deseus;
	}

	/**
	 * Method 'getCodigo'.
	 *
	 * @return Long
	 */

	public Long getCodigo() {
		return this.codigo;
	}

	/**
	 * Method 'setCodigo'.
	 *
	 * @param codigo
	 *            Long
	 */

	public void setCodigo(Long codigo) {
		this.codigo = codigo;
	}

	/**
	 * Method 'getDescas'.
	 *
	 * @return String
	 */

	public String getDescas() {
		return this.descas;
	}

	/**
	 * Method 'setDescas'.
	 *
	 * @param descas
	 *            String
	 */

	public void setDescas(String descas) {
		this.descas = descas;
	}

	/**
	 * Method 'getDeseus'.
	 *
	 * @return String
	 */

	public String getDeseus() {
		return this.deseus;
	}

	/**
	 * Method 'setDeseus'.
	 *
	 * @param deseus
	 *            String
	 */

	public void setDeseus(String deseus) {
		this.deseus = deseus;
	}

	/**
	 * Method 'getDesc'.
	 * 
	 * @return String
	 */
	public String getDesc() {
		if (Constants.EUSKARA.equals(LocaleContextHolder.getLocale().getLanguage())) {
			return this.getDeseus();
		} else {
			return this.getDescas();
		}
	}

	/**
	 * Method 'getDesc'.
	 * 
	 * @return
	 */
	public void setDesc(String desc) {
		if (Constants.EUSKARA.equals(LocaleContextHolder.getLocale().getLanguage())) {
			this.setDeseus(desc);
		} else {
			this.setDescas(desc);
		}
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ codigo: ").append(this.codigo).append(" ]");
		result.append(", [ descas: ").append(this.descas).append(" ]");
		result.append(", [ deseus: ").append(this.deseus).append(" ]");
		result.append("}");
		return result.toString();
	}

}
